<template>
  <div class="banner-section">
    <div class="row">
      <div class="col">
        <carousel
          class="vue-carousel"
          :per-page="perPage"
          :autoplay="true"
          :autoplay-timeout="autoPlayTimeout"
          :loop="true"
        >
          <slide v-for="item in 5" :key="item">
            <!-- <img :src="thumbVid" data-bs-toggle="modal" data-bs-target="#modal-video-embed" /> -->
            <img :src="require(`@/assets/img/banner_${item}.jpg`)">
          </slide>
        </carousel>
      </div>
    </div>

    <!-- Modal -->
    <div id="modal-video-embed" class="modal popup-video fade" tabindex="-1">
      <div class="modal-dialog modal-dialog-centered modal-lg">
        <div class="modal-content">
          <div class="modal-body bg-dark p-0">
            <div class="row">
              <div class="col">
                <div v-html="embedHtml"></div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- End Modal -->
  </div>
</template>

<script>
import { Carousel, Slide } from "vue-carousel";
import { apiCustomerGet } from "../services/baseApi.js";
import embedYt from "../helper/embedYt.js";

export default {
  components: {
    Carousel,
    Slide
  },
  data() {
    return {
      perPage: 1,
      autoPlayTimeout: 2500,
      embedHtml: "",
      thumbVid: ""
    };
  },
  methods: {
    pauseVideo() {
      let video = document.querySelectorAll(".banner-section iframe");

      video.forEach((item, ind) => {
        let src = video[ind].src;
        video[ind].src = src;
      });
    }
  },
  async mounted() {
    let res = await apiCustomerGet("ads/random");
    if (res && res.data && res.data.status) {
      let { link, thumbnail } = res.data.data;

      this.embedHtml = embedYt.getHtml(link, 0);
      this.thumbVid = thumbnail ? thumbnail : embedYt.getThumb(link);
    }

    let modalVideo = document.querySelectorAll(".banner-section .popup-video");
    modalVideo.forEach((item, ind) => {
      modalVideo[ind].addEventListener("hidden.bs.modal", () => {
        this.pauseVideo();
      });
    });
  }
};
</script>